Bug 268981 - should a small global trump a big global?
Summary: should a small global trump a big global?
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: elfutils (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All All
medium
low
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 173278
TreeView+ depends on / blocked
 
Reported: 2007-08-30 20:22 UTC by Andrew Cagney
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 0.131-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-13 00:13:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrew Cagney 2007-08-30 20:22:39 UTC
Consider:

GLOBAL(large_global_at_small_global)
GLOBAL(small_global_at_large_global)
        STORE(REG0,REG0)
        NO_OP
        SIZE(small_global_at_large_global)
        NO_OP
        SIZE(large_global_at_small_global)

it appears large_global_at_small_global is returned, but I suspect the selection
is unstable given:

$ nm -p -S frysk-core/frysk/pkglibdir/funit-symbols| grep -e
small_global_at_large_global -e large_global_at_small_global
080483ca 00000004 T large_global_at_small_global
080483ca 00000003 T small_global_at_large_global

it's choosing the first one.

Comment 1 Roland McGrath 2007-09-11 19:13:41 UTC
You are right that it chooses the first one in the symbol table.
I think choosing the smaller one is the better behavior.

Comment 2 Roland McGrath 2007-09-11 19:23:17 UTC
Fixed upstream.

Comment 3 Roland McGrath 2007-10-16 09:57:54 UTC
This issue should be resolved by elfutils-0.130.  If there is still a problem,
reopen or file a new bug report with complete test case details.

Comment 4 Fedora Update System 2007-10-18 02:30:56 UTC
elfutils-0.130-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update elfutils'

Comment 5 Fedora Update System 2007-11-13 00:13:23 UTC
elfutils-0.131-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.